sata_down_spd_limit
Prev | Chapter 5. libata Core Internals | Next

## Name

sata_down_spd_limit — adjust SATA spd limit downward

## Synopsis

`int sata_down_spd_limit (` | struct ata_link * | link`)`;

## Arguments

`link`

  Link to adjust SATA spd limit for

## Description

Adjust SATA spd limit of `link` downward. Note that this function only adjusts the limit. The change must be applied using `sata_set_spd`.

## LOCKING

Inherited from caller.

## RETURNS

0 on success, negative errno on failure

Prev | Up | Next
ata_bus_probe | Home | sata_set_spd_needed